From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Tue, 9 Nov 2021 17:42:46 +0100
Subject: s5k3l6xx: use pm_runtime_force_suspend/resume for system suspend

Fix the broken system suspend implementation similar to
https://lore.kernel.org/linux-media/20211109125505.2682553-1-martin.kepplinger@puri.sm/T/#u
and
https://lore.kernel.org/linux-media/20211109131013.2684058-3-martin.kepplinger@puri.sm/T/#u
---
 drivers/media/i2c/s5k3l6xx.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index be591df..f3c40dd 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -1577,7 +1577,11 @@ static int s5k3l6xx_remove(struct i2c_client *c)
 	return 0;
 }
 
-UNIVERSAL_DEV_PM_OPS(s5k3l6xx_pm_ops, s5k3l6xx_suspend, s5k3l6xx_resume, NULL);
+static const struct dev_pm_ops s5k3l6xx_pm_ops = {
+	SET_SYSTEM_SLEEP_PM_OPS(pm_runtime_force_suspend,
+				pm_runtime_force_resume)
+	SET_RUNTIME_PM_OPS(s5k3l6xx_suspend, s5k3l6xx_resume, NULL)
+};
 
 static const struct i2c_device_id s5k3l6xx_id[] = {
 	{ S5K3L6XX_DRIVER_NAME, 0 },
